Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get batch run status and progress.
Python
import requests url = "https://www.datalab.to/api/v1/eval_batch_runs/{run_id}" headers = {"X-API-Key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
curl --request GET \ --url https://www.datalab.to/api/v1/eval_batch_runs/{run_id} \ --header 'X-API-Key: <api-key>'
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};fetch('https://www.datalab.to/api/v1/eval_batch_runs/{run_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://www.datalab.to/api/v1/eval_batch_runs/{run_id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-API-Key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
{ "id": 123, "collection_id": 123, "eval_rubric_id": 123, "pipeline_id": "<string>", "pipeline_type": "<string>", "status": "<string>", "started_at": "2023-11-07T05:31:56Z", "completed_at": "2023-11-07T05:31:56Z", "total_files": 123, "completed_files": 123, "avg_score": 123, "created": "2023-11-07T05:31:56Z", "eval_rubric_version": 123, "eval_definition_snapshot": {}, "pipeline_version": 123 }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ]}
Successful Response
Was this page helpful?